My Oracle Support Banner

Support Note to Upgrade Struts 2 version to 2.3.35 for Oracle Financials (OFSAAI) (Doc ID 2440874.1)

Last updated on JUNE 03, 2019

Applies to:

Oracle Financial Services Analytical Applications Infrastructure - Version 7.3.3.0.0 to 7.3.5.0.0 [Release 7]
Information in this document applies to any platform.

Purpose

This document provides the steps required to upgrade earlier versions of Struts 2 to 2.3.35 version for Oracle Financial Services Analytical Applications Infrastructure.

Scope

This document is applicable for Oracle Financial Services Analytical Applications Infrastructure (OFSAAI) versions 7.3.3.0.0, 7.3.4.0.0, and 7.3.5.0.0.

Other products and applications may have different steps, depending on what is supported. For example, if using Oracle WebLogic Server with any of these files included, you should apply the latest Patch Set Update from "<Note 1470197.1> Patch Set Update (PSU) Release Listing for Oracle WebLogic Server (WLS)" to update included jar files and also see "<Note 2255054.1> Oracle WebLogic Server Requirements for Apache Struts 2 Vulnerabilities" for Struts 2 specific issues.

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Scope
Details
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.